Documentation Index

Fetch the complete documentation index at: https://kb.solargis.com/llms.txt

Use this file to discover all available pages before exploring further.

Get TMY data in different formats

Prev Next
Get
/tmy/data-request/{requestId}/{outputFormat}

Use this endpoint to download your TMY data in your preferred output format.



Request type:

GET

URL:

https://api.solargis.com/tmy/data-request/{requestid}/{outputFormat}

Authorization:

Bearer {API token}

Prerequisites
  • You must have a live Solargis account with an active TMY Basic or TMY Pro subscription.
  • You must have an API token used when obtaining your integration requestId.
Things to know
  • Calls to this endpoint are paid and will deduct credits from your API call allowance.
  • Allowed outputFormat values are listed in the table below.
  • The API console on the right supports SOLARGIS_JSON format only. To test other formats, use an external tool such as Postman or cURL.
  • For general console instructions, see Using the API console.
ParameterAllowed values
"outputFormat""SOLARGIS_JSON"
"SOLARGIS_CSV"
"SAM"
"HELIOSCOPE"
Security
HTTP
Type bearer

Enter your Solargis TMY Bearer token.

Path parameters
requestId
stringRequired

Unique identifier returned by the TMY data request POST endpoint.

outputFormat
stringRequired

Desired output format for the TMY data file.

Valid values[ "SOLARGIS_JSON", "SOLARGIS_CSV", "SAM", "HELIOSCOPE" ]
Responses
200

TMY data in requestd format

400

Bad request format

object

Bad request format

error
string

Machine-readable error code indicating an invalid or unsupported request parameter.

Exampleapi.data_request.output_format
401

Invalid authorization

object

Invalid authorization

error
string

Machine-readable error code indicating the authentication failure reason.

Exampletoken.invalid
404

Bad requestId

object
error
string

Machine-readable error code indicating the reason for the failure.

Exampleapi.data_request.not_found